#include<iostream>
#include "tests/domain_tests/domain_tests.h"
#include "tests/repo_tests/repo_tests.h"
#include "tests/admin_controller_tests/admin_controller_tests.h"
#include "tests/user_controller_tests/user_controller_tests.h"


int main(){

    test_domain();
    test_repo();
    test_admin_controller();
    test_user_controller();
    std::cout<<"All tests passed"<<std::endl;
    return 0;
}